#   Copyright 2011 Red Hat, Inc.
#
#   Licensed under the Apache License, Version 2.0 (the "License");
#   you may not use this file except in compliance with the License.
#   You may obtain a copy of the License at
#
#       http://www.apache.org/licenses/LICENSE-2.0
#
#   Unless required by applicable law or agreed to in writing, software
#   distributed under the License is distributed on an "AS IS" BASIS,
#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#   See the License for the specific language governing permissions and
#   limitations under the License.

require 'spec_helper'

module Aeolus
  module Image
    describe ListCommand do
      it "should return a list of images" do
        regexp = Regexp.new('[uuid:\s][\w]{8}[-][\w]{4}[-][\w]{4}[-][\w]{4}[-][\w]{12}')
        listc = ListCommand.new(:subcommand => 'images')
        images = listc.images
        images.each do |image|
          regexp.match(image.to_s).should_not == nil
        end
      end
      it "should return not implemented for unimplemented subcommands" do
        l = ListCommand.new()
        r = l.targets
        r.should eql("This option or combination is not yet implemented")
      end
    end
  end
end
